umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_statewidget.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/umlwidgets/statewidget.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_StateWidget_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_StateWidget_t | qt_meta_stringdata_StateWidget
static const uint | qt_meta_data_StateWidget []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_StateWidget_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_StateWidget_t
Definition: moc_statewidget.cpp:24

## Variable Documentation

## ◆ qt_meta_data_StateWidget

const uint qt_meta_data_StateWidget[]
| static

## ◆ qt_meta_stringdata_StateWidget

const qt_meta_stringdata_StateWidget_t qt_meta_stringdata_StateWidget
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 11),
QT_MOC_LITERAL(1, 12, 17),
QT_MOC_LITERAL(2, 30, 0),
QT_MOC_LITERAL(3, 31, 8),
QT_MOC_LITERAL(4, 40, 6),
QT_MOC_LITERAL(5, 47, 9),
QT_MOC_LITERAL(6, 57, 7),
QT_MOC_LITERAL(7, 65, 6),
QT_MOC_LITERAL(8, 72, 3),
QT_MOC_LITERAL(9, 76, 4),
QT_MOC_LITERAL(10, 81, 4),
QT_MOC_LITERAL(11, 86, 8),
QT_MOC_LITERAL(12, 95, 11),
QT_MOC_LITERAL(13, 107, 14),
QT_MOC_LITERAL(14, 122, 6),
},
"StateWidget\0slotMenuSelection\0\0QAction*\0"
"action\0StateType\0Initial\0Normal\0End\0"
"Fork\0Join\0Junction\0DeepHistory\0"
"ShallowHistory\0Choice\0Combined"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_statewidget.cpp:28